Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Your new email re: Quantum does not explain if it applies to XP S/P 3

  • 5 replies
  • 5 have this problem
  • 762 views
  • Last reply by Shadow110

more options

I am using XP S/P 3 and am using 52.3.0esr as you stated that would be the last version applicable to me. Your email today sounded like good news BUT you did not detail that it would apply to my application.

I tried it and it worked but others may ignore your email thinking it would not apply to XP users. Suggest you explain that to your XP end of service users.

Chosen solution

As I indicated originally, I downloaded the Quantum file and ran it. My Firefox does run faster now so it seems to be working.

I have attached the emailed memo which had a link to the Quantum file. Apparently the download was directed to support my XP system - note the downloaded file is an upgrade to my ESR 52.

Read this answer in context 👍 0

All Replies (5)

more options

Quantum does not support Windows XP SP3, if you would like to upgrade to Firefox Quantum, you will need to upgrade your OS to Windows 7 or later, alternatively to a Linux Distro, like Linux Mint or Ubuntu. For instructions on how do to this -- see the documentation on the respective webpages for the Linux distros.

more options

The 52 ESR channel will continue to get updates until around May 2018 -- 52 ESR point updates are not part of Firefox Quantum.

more options

As far as I know this still stand : Firefox 52, was the last fully supported version of the browser for XP and Vista. Mozilla moved these users across to the Firefox extended support release (ESR) version, which only provides security updates. https://www.mozilla.org/en-US/firefox/organizations/all/

Note it shows here your running 52.0 52.4.1 is current supported version that still gets security updates.

Please update your Flash to Flash Player Version: 27.0.0.187 https://get.adobe.com/flashplayer/otherversions/ Step 1: Select Operating System Step 2: Select A Version (Firefox, Win IE . . . .) Note: Other software is offered in the download. <Windows Only>

Please let us know if this solved your issue or if need further assistance.

more options

Chosen Solution

As I indicated originally, I downloaded the Quantum file and ran it. My Firefox does run faster now so it seems to be working.

I have attached the emailed memo which had a link to the Quantum file. Apparently the download was directed to support my XP system - note the downloaded file is an upgrade to my ESR 52.

Modified by ccfred

more options

Never heard of it myself. Did you look at the URL the file was coming in from ?

To be safe use more than 1 scanner. https://support.mozilla.org/en-US/kb/troubleshoot-firefox-issues-caused-malware If need help https://forums.malwarebytes.com/topic/9573-im-infected-what-do-i-do-now/

Please let us know if this solved your issue or if need further assistance.